Subject: Re: bug#24980: tramp (2.2.13.25.1); ido virtual buffer interaction

From: Michael Albinus <[email-masked]>
Date: Thu, 24 Nov 2016 12:03:08 +0100

Dave Abrahams <[email-masked]> writes:

Hi Dave,

> Best workaround I have for now is to set `ido-use-virtual-buffers' to
> 'auto, which at least prevents it from invoking TRAMP until such a time
> as I type a name for which there are no matches.  However, I'm guessing
> `recentf-keep-default-predicate' might be fixed up to avoid this.

Does the following patch help? It suppresses Tramp for
`get-file-buffer', as it has been done already in `ido-make-file-list':

--8<---------------cut here---------------start------------->8---
*** ~/src/emacs/lisp/ido.el.~dfc5b0f65531ef71cbd2c0cc956c246ea4239612~	2016-11-24 12:00:42.655829856 +0100
--- ~/src/emacs/lisp/ido.el	2016-11-24 11:57:47.352672563 +0100
***************
*** 3505,3511 ****
        (when (equal name "")
  	(setq name head))
        (and (not (equal name ""))
! 	   (null (get-file-buffer head))
             (not (assoc name ido-virtual-buffers))
             (not (member name ido-temp-list))
             (not (ido-ignore-item-p name ido-ignore-buffers))
--- 3505,3511 ----
        (when (equal name "")
  	(setq name head))
        (and (not (equal name ""))
!            (null (let (file-name-handler-alist) (get-file-buffer head)))
             (not (assoc name ido-virtual-buffers))
             (not (member name ido-temp-list))
             (not (ido-ignore-item-p name ido-ignore-buffers))
--8<---------------cut here---------------end--------------->8---

> Thanks again,

Best regards, Michael.